constructor TSoundHolder.Init(_Man: PSoundMan; const Parameters: TSoundParameters);
begin
  inherited Init;
  IncRef;
  Man := _Man;
  Key := Parameters.GetKey;
end;

destructor TSoundHolder.Done;
begin
  inherited Done;
end;

procedure TSoundSource.Init(Eng: Pointer);
begin
end;

procedure TSoundSource.Done;
begin
end;

procedure TSoundSource.Play(const Sound: TSound);
begin
end;

procedure TSoundSource.Stop;
begin
end;

procedure TSoundSource.SetPos(const Pos: TVec3f);
begin
end;

procedure TSoundSource.SetDir(const Dir: TVec3f);
begin
end;

procedure TSoundSource.SetVel(const Vel: TVec3f);
begin
end;

function TSoundSource.IsPlaying: Boolean;
begin
  Result := False;
end;

function TSoundSource.GetLooping: Boolean;
begin
  Result := False;
end;

procedure TSoundSource.SetLooping(Looping: Boolean);
begin
end;

procedure TSoundSource.SetVolume(Volume: LongInt);
begin
end;

procedure TSoundSource.SetPitch(Pitch: Single);
begin
end;

procedure TAudio.OnInit;
begin
  FReady := True;
end;

procedure TAudio.OnDone;
begin
end;

procedure TAudio.PlayFile(const Filename: String);
begin
end;

function TAudio.LoadSound(const Filename: String): TSoundDeprecated;
begin
  Result := 0;
end;

procedure TAudio.FreeSound(Sound: TSoundDeprecated);
begin
end;

procedure TAudio.Play(Sound: TSoundDeprecated);
begin
end;

procedure TAudio.SetSoundVolume(Volume: Single);
begin
end;

function TAudio.IsPlaying(Sound: TSoundDeprecated): Boolean;
begin
  Result := False;
end;

procedure TAudio.SetListenerPos(const Pos: TVec3f);
begin
end;

procedure TAudio.SetListenerDir(const Dir, Up: TVec3f);
begin
end;

procedure TAudio.SetListenerVel(const Vel: TVec3f);
begin
end;

procedure TSound.Play;
begin
end;

procedure TSound.Stop;
begin
end;
